QCPCurveData Class Reference

Holds the data of one single data point for QCPCurve. More...

## Public Member Functions

| QCPCurveData ()
| QCPCurveData (double t, double key, double value)

## Public Attributes

double | t
double | key
double | value

## Detailed Description

Holds the data of one single data point for QCPCurve.

The container for storing multiple data points is QCPCurveDataMap.

The stored data is:

- t: the free parameter of the curve at this curve point (cp. the mathematical vector (x(t), y(t)))
- key: coordinate on the key axis of this curve point
- value: coordinate on the value axis of this curve point

See also
  QCPCurveDataMap

## Constructor & Destructor Documentation

QCPCurveData::QCPCurveData | ( |  | ) |

Constructs a curve data point with t, key and value set to zero.

QCPCurveData::QCPCurveData | ( | double | t,
|  | double | key,
|  | double | value
| ) |  |

Constructs a curve data point with the specified t, key and value.

The documentation for this class was generated from the following files:

- qcustomplot.h
- qcustomplot.cpp